package ink.wgink.module.wechat.miniapp.pojo.pos;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MiniAppUserPO
 * @Description: 小程序用户
 * @Author: wanggeng
 * @Date: 2021/4/8 5:49 下午
 * @Version: 1.0
 */
public class MiniappUserPO implements Serializable {

    private static final long serialVersionUID = -8186629510739913926L;
    private String appId;
    private String openId;
    private String userId;
    private String userCode;
    private String nickName;
    private String avatarUrl;
    private Integer isInitAccount;
    private String gmtCreate;

    public String getAppId() {
        return appId == null ? "" : appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getOpenId() {
        return openId == null ? "" : openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getUserId() {
        return userId == null ? "" : userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserCode() {
        return userCode == null ? "" : userCode.trim();
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getNickName() {
        return nickName == null ? "" : nickName.trim();
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatarUrl() {
        return avatarUrl == null ? "" : avatarUrl.trim();
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public Integer getIsInitAccount() {
        return isInitAccount == null ? 0 : isInitAccount;
    }

    public void setIsInitAccount(Integer isInitAccount) {
        this.isInitAccount = isInitAccount;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
}
